package com.mylove.okhttp;

import android.content.Intent;
import android.os.Bundle;
import android.support.annotation.Nullable;
import android.support.v7.app.AppCompatActivity;

import com.benyanyi.loglib.Jlog;
import com.benyanyi.okhttp.OkHttpUtil;
import com.benyanyi.okhttp.listener.OnOkHttpListener;
import com.benyanyi.permissionlib.PermissionCallBack;
import com.benyanyi.permissionlib.PermissionHelper;
import com.benyanyi.permissionlib.PermissionType;
import com.benyanyi.permissionlib.msg.FailureMsg;

import java.util.HashMap;
import java.util.Map;


/**
 * @author myLove
 * @time 2017/11/16 19:18
 * @e-mail mylove.520.y@gmail.com
 * @overview
 */

public class MainActivity extends AppCompatActivity {

    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
//        setContentView(R.layout.notification_contentview);
        setContentView(R.layout.activity_main);
        init();
        String[] strings = new String[]{PermissionType.STORAGE};
        PermissionHelper.getInstance(this).hasPermission(1, new PermissionCallBack() {
            @Override
            public void onPermissionSuccess(int permissionCode) {
                startActivity(new Intent(MainActivity.this, DownloadActivity.class));
            }

            @Override
            public void onPermissionFailure(FailureMsg failureMsg) {

            }

            @Override
            public void onPermissionComplete(int permissionCode) {

            }
        }, strings);
//        permissionHelper = new PermissionHelper(this, strings);
//        permissionHelper.hasPermission(new PermissionHelper.OnPermissionListener() {
//            @Override
//            public void onAllPermissionSuccess() {
////                init();
//                downloadAPK();
//            }
//
//            @Override
//            public void onAllPermissionFailure() {
//
//            }
//        });
    }

    private void init() {
        String url = "http://www.yanyi.red/taihao/SimpleAlarm/update.json";
        Map<Object, Object> oMap = new HashMap<>();
        oMap.put("UserID", "110");
        oMap.put("TypeID", "1");
        oMap.put("Mac", "");
        oMap.put("CodeID", "");
        oMap.put("Status", "");
        oMap.put("DataSet", "");
        OkHttpUtil.getInstance(this).url(url, true).postText(oMap).async(new OnOkHttpListener<Object>() {
            @Override
            public void onCompleted() {

            }

            @Override
            public void onSuccess(Object message) {
                Jlog.v(message);
            }

            @Override
            public void onFailure(Throwable t) {
                Jlog.e(t.getMessage());
            }
        });
    }

    private void downloadAPK() {
//        JLog.init(true);
        String url = "http://www.yanyi.red/bluetooth/dectector/dectector.apk";
//        String filePath = "/dectector/dfu/";
////        String filePath = Environment.getExternalStorageDirectory().toString() + "/dectector/dfu/";
//        OkHttpUtil.getInstance(this).downloadFile(url).downloads(filePath, new OnDownloadCallBack() {
//            @Override
//            public void onDownloading(int progress) {
//                JLog.d(progress + "");
//            }
//
//            @Override
//            public void onSuccess(String message) {
//                JLog.v(message);
//            }
//
//            @Override
//            public void onFailure(Throwable t) {
//                JLog.e(t.getMessage());
//            }
//        });
    }

}
